Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.lifecycle
Class JSListenerType

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSListenerType

All Implemented Interfaces:
  java.lang.Comparable

public final class JSListenerType
extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static JSListenerType` `ACTION`
`static JSListenerType` `STATE_AND_ACTION`
`static java.util.List` `VALUES`

Constructor Summary
`JSListenerType(java.lang.String name)`

Method Summary
`int` `compareTo(java.lang.Object toCompare)`
`int` `getOrdinal()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION

    public static final JSListenerType ACTION

### STATE_AND_ACTION

    public static final JSListenerType STATE_AND_ACTION

### VALUES

    public static final java.util.List VALUES

Constructor Detail

### JSListenerType

    public JSListenerType(java.lang.String name)

Method Detail

### toString

    public java.lang.String toString()

### compareTo

    public int compareTo(java.lang.Object toCompare)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getOrdinal

    public int getOrdinal()

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.